Summary:	Tool to monitor and restrict time spend on computer by a children
Name:		kchildlock
Version:	0.90.4
Release:	%mkrel 1
Source0:	http://ufpr.dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         kchildlock-0.80.2-donot-build-doc.patch
License:	GPLv2
Group:		Graphical desktop/KDE 
URL:		http://kde-apps.org/content/show.php/KChildlock?content=88124
BuildRequires:	kdelibs4-devel	

%description
kchildlock is a tool to monitor and restrict the time a children spends on the
computer. The limits can be specified per day of the week, by lower and upper
hour limits, maximum daily usage time, and maximum weekly usage time. The same
restriction limits can be applied to applications based on the user login. It
requires the KDE4 Desktop.

%files  -f %{name}.lang
%defattr(-,root,root)
%_kde_libdir/kde4/kcm_kchildlock.so
%_kde_libdir/kde4/kded_kchildlockdaemon.so
%_kde_datadir/config/kchildlockrc
%_kde_services/kcm_kchildlock.desktop
%_kde_services/kded/kchildlockdaemon.desktop
%_var/opt/kchildlock/dummy.txt
%_kde_iconsdir/hicolor/*/*/*

#------------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} 


%changelog

* Thu Nov 03 2011 fwang <fwang> 0.90.4-1.mga2
+ Revision: 161980
- new version 0.90.4

* Thu Jul 14 2011 fwang <fwang> 0.90.3-1.mga2
+ Revision: 123942
- new version 0.90.3

* Wed Jun 29 2011 fwang <fwang> 0.90.2-1.mga2
+ Revision: 115596
- update file list
- update file list
- new version 0.90.2

* Sun May 08 2011 dmorgan <dmorgan> 0.80.2-1.mga1
+ Revision: 96067
- New version 0.80.2
  Do not build doc
- imported package kchildlock

